class NumberTriangles {
	
	static final int     HEIGHT   = 5;
	static final boolean INVERTED = true;
	static final boolean UPRIGHT  = false;	
	
	public static void main(String[] args) {
		
		drawTriangle(HEIGHT);
		drawCenteredTriangle(HEIGHT,UPRIGHT);
		drawCenteredTriangle(HEIGHT,INVERTED);
		
	}
	
	static void drawTriangle(int height) {
		System.out.println();
	
		for (int i=1; i<=height; i++)
			drawNumber(i);
			
		System.out.println();
	}
			
	static void drawCenteredTriangle(int height, boolean orientation) {
		System.out.println();
		
		if (orientation==UPRIGHT)
			
			for (int i=1; i<=height; i++) {
				drawSpaces(height-i);
				drawNumber(i);
			}
			
		else
		
			for (int i=height; i>=1; i--) {
				drawSpaces(height-i);
				drawNumber(i);
			}
			
		System.out.println();
	}
		
	static void drawNumber(int number) {
		for (int i=0; i < number; i++)
			System.out.print(number+" ");

		System.out.println();
	}
	
	static void drawSpaces(int number) {
		for (int i=0; i < number; i++)
			System.out.print(" ");
	}
	
	
}